Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTexturedSphereSource Class Reference

`#include <vtkTexturedSphereSource.h>`

Inheritance diagram for vtkTexturedSphereSource:

[legend]
Collaboration diagram for vtkTexturedSphereSource:

[legend]
List of all members.

## Detailed Description

create a sphere centered at the origin

Date:
  2002/01/22 15:29:52

Revision:
  1.25

vtkTexturedSphereSource creates a polygonal sphere of specified radius centered at the origin. The resolution (polygonal discretization) in both the latitude (phi) and longitude (theta) directions can be specified. It also is possible to create partial sphere by specifying maximum phi and theta angles.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (73%)
  - Schroeder, Will (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkTexturedSphereSource.cxx)`
  - .`h` (`/Graphics/vtkTexturedSphereSource.h)`

Tests:
  vtkTexturedSphereSource (Tests)

Definition at line 50 of file vtkTexturedSphereSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetRadius (float)
virtual float | GetRadius ()
virtual void | SetThetaResolution (int)
virtual int | GetThetaResolution ()
virtual void | SetPhiResolution (int)
virtual int | GetPhiResolution ()
virtual void | SetTheta (float)
virtual float | GetTheta ()
virtual void | SetPhi (float)
virtual float | GetPhi ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTexturedSphereSource * | SafeDownCast (vtkObject *o)
vtkTexturedSphereSource * | New ()
## Protected Methods
| vtkTexturedSphereSource (int res=8)
| ~vtkTexturedSphereSource ()
void | Execute ()
## Protected Attributes
float | Radius
float | Theta
float | Phi
int | ThetaResolution
int | PhiResolution

## Member Typedef Documentation

typedef vtkPolyDataSource vtkTexturedSphereSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 53 of file vtkTexturedSphereSource.h.

## Constructor & Destructor Documentation

vtkTexturedSphereSource::vtkTexturedSphereSource | ( | int | res = 8 | ) | `[protected]`

vtkTexturedSphereSource::~vtkTexturedSphereSource | ( |  | ) | `[inline, protected]`

| Definition at line 92 of file vtkTexturedSphereSource.h.

## Member Function Documentation

virtual const char* vtkTexturedSphereSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkTexturedSphereSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkTexturedSphereSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkTexturedSphereSource* vtkTexturedSphereSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkTexturedSphereSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

vtkTexturedSphereSource* vtkTexturedSphereSource::New | ( |  | ) | `[static]`

| Construct sphere with radius=0.5 and default resolution 8 in both Phi and Theta directions. Reimplemented from vtkObject.

virtual void vtkTexturedSphereSource::SetRadius | ( | float |  | ) | `[virtual]`

| Set radius of sphere.

virtual float vtkTexturedSphereSource::GetRadius | ( |  | ) | `[virtual]`

| Set radius of sphere.

virtual void vtkTexturedSphereSource::SetThetaResolution | ( | int |  | ) | `[virtual]`

| Set the number of points in the longitude direction.

virtual int vtkTexturedSphereSource::GetThetaResolution | ( |  | ) | `[virtual]`

| Set the number of points in the longitude direction.

virtual void vtkTexturedSphereSource::SetPhiResolution | ( | int |  | ) | `[virtual]`

| Set the number of points in the latitude direction.

virtual int vtkTexturedSphereSource::GetPhiResolution | ( |  | ) | `[virtual]`

| Set the number of points in the latitude direction.

virtual void vtkTexturedSphereSource::SetTheta | ( | float |  | ) | `[virtual]`

| Set the maximum longitude angle.

virtual float vtkTexturedSphereSource::GetTheta | ( |  | ) | `[virtual]`

| Set the maximum longitude angle.

virtual void vtkTexturedSphereSource::SetPhi | ( | float |  | ) | `[virtual]`

| Set the maximum latitude angle (0 is at north pole).

virtual float vtkTexturedSphereSource::GetPhi | ( |  | ) | `[virtual]`

| Set the maximum latitude angle (0 is at north pole).

void vtkTexturedSphereSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkTexturedSphereSource::Radius`[protected]`

| Definition at line 95 of file vtkTexturedSphereSource.h.

float vtkTexturedSphereSource::Theta`[protected]`

| Definition at line 96 of file vtkTexturedSphereSource.h.

float vtkTexturedSphereSource::Phi`[protected]`

| Definition at line 97 of file vtkTexturedSphereSource.h.

int vtkTexturedSphereSource::ThetaResolution`[protected]`

| Definition at line 98 of file vtkTexturedSphereSource.h.

int vtkTexturedSphereSource::PhiResolution`[protected]`

| Definition at line 99 of file vtkTexturedSphereSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkTexturedSphereSource.h